Bug 1663388 - [ALL LANG][RHSM CLI] Unlocalized message in status module. [NEEDINFO]
Summary: [ALL LANG][RHSM CLI] Unlocalized message in status module.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: subscription-manager
Version: 8.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: Red Hat subscription-manager QE Team
URL:
Whiteboard:
Depends On: 1682763
Blocks: 1725534
TreeView+ depends on / blocked
 
Reported: 2019-01-04 07:27 UTC by Lijun Li
Modified: 2021-05-05 11:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1725534 (view as bug list)
Environment:
Last Closed: 2021-02-01 07:31:35 UTC
Type: Bug
Target Upstream Version:
ptoscano: needinfo? (jsefler)


Attachments (Terms of Use)

Description Lijun Li 2019-01-04 07:27:34 UTC
Description of problem:
[ALL LANG][RHSM CLI] Unlocalized message in status module.

Version-Release number of selected component (if applicable):
subscription-manager-1.23.8-11.el8.x86_64.rpm

How reproducible:
100%

Steps to Reproduce:
1. Install latest rhel8 workstation build.
2. Run rhsm cli from terminal.

Actual results:
# subscription-manager status 
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.
^^^^^^^^^^^^Unlocalized message

系统目的状态:当前的


Expected results:
It's should be localized.

Additional info:

Comment 1 Kevin Howell 2019-01-21 15:39:27 UTC
Already fixed?

Comment 2 Chris Snyder 2019-01-21 19:08:45 UTC
Lijun Li,

When I try this against the latest subscription-manager available for RHEL8 (subscription-manager-1.23.8-14.el8) I am unable to reproduce this failure.

I believe this to be fixed. Can you confirm?

If you agree that it appears fixed, please close this bug as current release.

Thank you!

Comment 3 John Sefler 2019-01-30 21:28:24 UTC
Retesting version...

[root@kvm-01-guest04 ~]# rpm -q subscription-manager
subscription-manager-1.23.8-14.el8.x86_64


[root@kvm-01-guest04 ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager status"; LANG=$L.UTF-8 subscription-manager status; done;

# LANG=en_US.UTF-8 subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Invalid

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.

System Purpose Status: Current


# LANG=de_DE.UTF-8 subscription-manager status
+-------------------------------------------+
   Systemstatusdetails
+-------------------------------------------+
Gesamtstatus: Ungültig

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Nicht von einer gültigen Subskription unterstützt.

Systemzweckstatus: Aktuell


# LANG=es_ES.UTF-8 subscription-manager status
+-------------------------------------------+
   Información de estatus del sistema
+-------------------------------------------+
Estado general: Inválido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- No está soportado por una suscripción válida

Estado del propósito del sistema: Actual


# LANG=fr_FR.UTF-8 subscription-manager status
+-------------------------------------------+
   Détails du statut du système
+-------------------------------------------+
Statut général : Invalide

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Non pris en charge par un abonnement valide.

Statut de l'Objectif système : Actuel


# LANG=it_IT.UTF-8 subscription-manager status
+-------------------------------------------+
   Dettagli stato del sistema
+-------------------------------------------+
Stato generale: Non valido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Non supportata da una sottoscrizione valida.

Stato scopo del sistema: Corrente


# LANG=ja_JP.UTF-8 subscription-manager status
+-------------------------------------------+
   システムのステータス詳細
+-------------------------------------------+
全体のステータス: 無効

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 有効なサブスクリプションでサポートされていません。

システムの目的のステータス: 最新


# LANG=ko_KR.UTF-8 subscription-manager status
+-------------------------------------------+
   시스템 상태 정보
+-------------------------------------------+
전체 상태: 유효하지 않음

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 유효한 서브스크립션에 의해 지원되지 않습니다.

시스템 용도 상태: 현재


# LANG=pt_BR.UTF-8 subscription-manager status
+-------------------------------------------+
   Detalhes de Status de Sistema
+-------------------------------------------+
Estado geral: Inválido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.    <=================== FAILED LANG=pt_BR.UTF-8

Status da finalidade do sistema: Atual


# LANG=ru_RU.UTF-8 subscription-manager status
+-------------------------------------------+
   Состояние системы
+-------------------------------------------+
Общее состояние: Недействительные

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Не поддерживается действительными подписками.

Состояние цели системы: Действительные


# LANG=zh_CN.UTF-8 subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.    <=================== FAILED LANG=zh_CN.UTF-8

系统目的状态:当前的


# LANG=zh_TW.UTF-8 subscription-manager status
+-------------------------------------------+
   系統狀態的詳細資料
+-------------------------------------------+
總體狀況: 無效

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.    <=================== FAILED LANG=zh_TW.UTF-8

系統目的狀態: 目前

[root@kvm-01-guest04 ~]# 


------------------------------------------------------------------------

Note: The interesting thing is that the translation for "Not supported by a valid subscription." is a coming from Candlepin and the same three failing langs actually pass when executed from a RHEL7 system...

# LANG=pt_BR.UTF-8 subscription-manager status
+-------------------------------------------+
   Detalhes de Status de Sistema
+-------------------------------------------+
Status Geral: Inválido

Red Hat Enterprise Linux Server:
- Não é suportado por uma subscrição válida.


# LANG=zh_CN.UTF-8 subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效

Red Hat Enterprise Linux Server:
- 有效订阅不支持。


# LANG=zh_TW.UTF-8 subscription-manager status
+-------------------------------------------+
   系統狀態的詳細資料
+-------------------------------------------+
整體狀態:無效

Red Hat Enterprise Linux Server:
- 不受到有效的訂閱支援。

Comment 5 Lijun Li 2019-10-15 06:41:29 UTC
Reproduced on latest rhel8.1 build.
# subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
Overall Status: 当前的
^^^^^^^^^^^^Unlocalized message

System Purpose Status: Not Specified
^^^^^^^^^^^^Unlocalized message

Comment 6 Lijun Li 2020-09-07 07:43:01 UTC
[root@localhost ~]# for L in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager status"; LANG=$L.UTF-8 subscription-manager status; done;

# LANG=en_US.UTF-8 subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Invalid

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Not supported by a valid subscription.

System Purpose Status: Not Specified


# LANG=de_DE.UTF-8 subscription-manager status
+-------------------------------------------+
   Systemstatusdetails
+-------------------------------------------+
Overall Status: Ungültig

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Nicht von einer gültigen Subskription unterstützt.

System Purpose Status: Not Specified              <=================== FAILED LANG=de_DE.UTF-8


# LANG=es_ES.UTF-8 subscription-manager status
+-------------------------------------------+
   Información de estatus del sistema
+-------------------------------------------+
Overall Status: Inválido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- No está soportado por una suscripción válida

System Purpose Status: Not Specified              <=================== FAILED LANG=es_ES.UTF-8


# LANG=fr_FR.UTF-8 subscription-manager status
+-------------------------------------------+
   Détails du statut du système
+-------------------------------------------+
Statut général : Invalide

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Non pris en charge par un abonnement valide.

Statut de l'objectif du système : Non spécifié


# LANG=it_IT.UTF-8 subscription-manager status
+-------------------------------------------+
   Dettagli stato del sistema
+-------------------------------------------+
Overall Status: Non valido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Non supportata da una sottoscrizione valida.

System Purpose Status: Not Specified              <=================== FAILED LANG=it_IT.UTF-8


# LANG=ja_JP.UTF-8 subscription-manager status
+-------------------------------------------+
   システムのステータス詳細
+-------------------------------------------+
全体的な状態: 無効

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 有効なサブスクリプションでサポートされていません。

システムの目的の状態: 指定されていません


# LANG=ko_KR.UTF-8 subscription-manager status
+-------------------------------------------+
   시스템 상태 정보
+-------------------------------------------+
전체 상태: 유효하지 않음

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 유효한 서브스크립션에 의해 지원되지 않습니다.

시스템 목적 상태: 지정되지 않음


# LANG=pt_BR.UTF-8 subscription-manager status
+-------------------------------------------+
   Detalhes de Status de Sistema
+-------------------------------------------+
Overall Status: Inválido

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Não é suportado por uma subscrição válida.

System Purpose Status: Not Specified              <=================== FAILED LANG=pt_BR.UTF-8


# LANG=ru_RU.UTF-8 subscription-manager status
+-------------------------------------------+
   Состояние системы
+-------------------------------------------+
Overall Status: Недействительные

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- Не поддерживается действительными подписками.

System Purpose Status: Not Specified              <=================== FAILED LANG=ru_RU.UTF-8


# LANG=zh_CN.UTF-8 subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 有效订阅不支持。

系统目的状态:未指定


# LANG=zh_TW.UTF-8 subscription-manager status
+-------------------------------------------+
   系統狀態的詳細資料
+-------------------------------------------+
Overall Status: 無效

Red Hat Enterprise Linux for x86_64 High Touch Beta:
- 不受到有效的訂閱支援。

System Purpose Status: Not Specified              <=================== FAILED LANG=zh-TW.UTF-8

[root@localhost ~]# rpm -q subscription-manager
subscription-manager-1.27.15-1.el8.x86_64

Comment 9 RHEL Program Management 2021-02-01 07:31:35 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.

Comment 10 John Sefler 2021-04-07 20:25:25 UTC
As indicated in Bug 1899677 and Bug 1820534, we should only expect translations for ja ko fr and zh_CN


[root@hpe-dl380pgen8-02-vm-2 ~]# for L in en_US fr_FR ja_JP ko_KR zh_CN; do echo ""; echo "# LANG=$L.UTF-8 subscription-manager status"; LANG=$L.UTF-8 subscription-manager status; done;

# LANG=en_US.UTF-8 subscription-manager status
+-------------------------------------------+
   System Status Details
+-------------------------------------------+
Overall Status: Invalid

Red Hat Enterprise Linux for Real Time:
- Not supported by a valid subscription.

Red Hat Enterprise Linux for x86_64:
- Not supported by a valid subscription.

System Purpose Status: Mismatched
- The requested usage preference "Test" is not provided by a currently consumed subscription.
- The requested add-on "test" is not provided by a currently consumed subscription.
- The service level preference "Unavailable" is not provided by a currently consumed subscription.


# LANG=fr_FR.UTF-8 subscription-manager status
+-------------------------------------------+
   Détails du statut du système
+-------------------------------------------+
Statut général : Invalide                                  <================= PASSED

Red Hat Enterprise Linux for Real Time:
- Not supported by a valid subscription.

Red Hat Enterprise Linux for x86_64:
- Not supported by a valid subscription.

Statut de l'objectif du système : Discordance               <================= PASSED
- The requested usage preference "Test" is not provided by a currently consumed subscription.
- The requested add-on "test" is not provided by a currently consumed subscription.
- The service level preference "Unavailable" is not provided by a currently consumed subscription.


# LANG=ja_JP.UTF-8 subscription-manager status
+-------------------------------------------+
   システムのステータス詳細
+-------------------------------------------+
全体のステータス: 無効                     <================= PASSED

Red Hat Enterprise Linux for Real Time:
- Not supported by a valid subscription.

Red Hat Enterprise Linux for x86_64:
- Not supported by a valid subscription.

システムの目的の状態: 不一致               <================= PASSED
- The requested usage preference "Test" is not provided by a currently consumed subscription.
- The requested add-on "test" is not provided by a currently consumed subscription.
- The service level preference "Unavailable" is not provided by a currently consumed subscription.


# LANG=ko_KR.UTF-8 subscription-manager status
+-------------------------------------------+
   시스템 상태 정보
+-------------------------------------------+
전체 상태: 유효하지 않음                         <================= PASSED

Red Hat Enterprise Linux for Real Time:
- Not supported by a valid subscription.

Red Hat Enterprise Linux for x86_64:
- Not supported by a valid subscription.

시스템 목적 상태: 일치하지 않는 항목               <================= PASSED
- The requested usage preference "Test" is not provided by a currently consumed subscription.
- The requested add-on "test" is not provided by a currently consumed subscription.
- The service level preference "Unavailable" is not provided by a currently consumed subscription.


# LANG=zh_CN.UTF-8 subscription-manager status
+-------------------------------------------+
   系统状态详情
+-------------------------------------------+
总体状态:无效                    <================= PASSED

Red Hat Enterprise Linux for Real Time:
- Not supported by a valid subscription.    <======= CANDLEPIN|ITADPATER FAILURE

Red Hat Enterprise Linux for x86_64:
- Not supported by a valid subscription.    <======= CANDLEPIN|ITADPATER FAILURE

系统目的状态:不匹配               <================= PASSED
- The requested usage preference "Test" is not provided by a currently consumed subscription.      <======= CANDLEPIN|ITADPATER FAILURE
- The requested add-on "test" is not provided by a currently consumed subscription.                <======= CANDLEPIN|ITADPATER FAILURE
- The service level preference "Unavailable" is not provided by a currently consumed subscription. <======= CANDLEPIN|ITADPATER FAILURE

[root@hpe-dl380pgen8-02-vm-2 ~]# 


However, notice that all of the status reasons listed (which are strings that come from Candlepin through the IIAdapters) are not translated.

Comment 11 Nikos Moumoulidis 2021-04-08 09:43:19 UTC
John, I have created a new Candlepin-specific bug for these issues. They do not seem to be ITAdapter related, but Candlepin-proper: 1947354

Comment 12 Pino Toscano 2021-04-09 10:31:35 UTC
Hi John,

thanks for testing this!

I talked with Nikos yesterday about the strings coming from candlepin, and he filed bug 1947354 (cloned as bug 1947367 and bug 1947368).
I think there is nothing else to do on the subscription-manager side of this bug, and IMHO we could consider this as fixed [1].

What do you think?

[1] yes, I now this bug was automatically closed as WONTFIX due to lack of activity, but in case I'd change the closing status to CURRENTRELEASE.

Comment 13 Nikos Moumoulidis 2021-05-05 11:04:41 UTC
Hi John,

- Regarding the Syspurpose mismatch strings 'The requested {usage/add-on/service level} preference "X" is not provided by a currently consumed subscription.', those are fixed by 1947354.

- Regarding the 'Not supported by a valid subscription.' string though, we cannot reproduce this issue on the latest subman and candlepin:

    [nmoumoul@localhost candlepinmain]$ sudo subscription-manager version
    server type: Red Hat Subscription Management
    subscription management server: 4.1.0-1
    subscription management rules: 5.41
    subscription-manager: 1.28.2-1.fc33
     
    [nmoumoul@localhost candlepinmain]$ for L in en_US fr_FR ja_JP ko_KR zh_CN; do echo ""; echo "# sudo LANG=$L.UTF-8 subscription-manager status"; sudo LANG=$L.UTF-8 subscription-manager status; done;
     
    # sudo LANG=en_US.UTF-8 subscription-manager status
    +-------------------------------------------+
       System Status Details
    +-------------------------------------------+
    Overall Status: Invalid
     
    SP Addon 3 bits:
    - Not supported by a valid subscription.
     
    System Purpose Status: Not Specified
     
     
    # sudo LANG=fr_FR.UTF-8 subscription-manager status
    +-------------------------------------------+
       Détails du statut du système
    +-------------------------------------------+
    Statut général : Invalide
     
    SP Addon 3 bits:
    - Non pris en charge par un abonnement valide.
     
    System Purpose Status: Not Specified
     
     
    # sudo LANG=ja_JP.UTF-8 subscription-manager status
    +-------------------------------------------+
       システムのステータス詳細
    +-------------------------------------------+
    全体のステータス: 無効
     
    SP Addon 3 bits:
    - 有効なサブスクリプションでサポートされていません。
     
    System Purpose Status: Not Specified
     
     
    # sudo LANG=ko_KR.UTF-8 subscription-manager status
    +-------------------------------------------+
       시스템 상태 정보
    +-------------------------------------------+
    전체 상태: 유효하지 않음
     
    SP Addon 3 bits:
    - 유효한 서브스크립션에 의해 지원되지 않습니다.
     
    System Purpose Status: Not Specified
     
     
    # sudo LANG=zh_CN.UTF-8 subscription-manager status
    +-------------------------------------------+
       系统状态详情
    +-------------------------------------------+
    总体状态:无效
     
    SP Addon 3 bits:
    - 有效订阅不支持。
     
    System Purpose Status: Not Specified


Can you verify which version of subman/candlepin you used to reproduce this?


Note You need to log in before you can comment on or make changes to this bug.